# eric7.QScintilla.Lexers.LexerQSS

Module implementing a QSS lexer with some additional methods.

### Global Attributes

None

### Classes

LexerQSS | Subclass to implement some additional lexer dependent methods.

### Functions

None

## LexerQSS

Subclass to implement some additional lexer dependent methods.

### Derived from

Lexer, QsciLexerCSS

### Class Attributes

None

### Class Methods

None

### Methods

LexerQSS | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.
language | Public method to return the lexer language.
lexerName | Public method to return the lexer name.

### Static Methods

None

#### LexerQSS (Constructor)

LexerQSS(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerQSS.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Return:
  string giving the keywords (string) or None

#### LexerQSS.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerQSS.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Return:
  flag indicating a comment style (boolean)

#### LexerQSS.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Return:
  flag indicating a string style (boolean)

#### LexerQSS.language

language()

Public method to return the lexer language.

Return:
  lexer language (string)

#### LexerQSS.lexerName

lexerName()

Public method to return the lexer name.

Return:
  lexer name (string)

Up